Name:           jboss-marshalling
Version:        1.4.11
Release:        7
Summary:        A serialization API that fixes many of the problems found in the JDK serialization API
License:        ASL 2.0 and LGPLv2+
URL:            http://jbossmarshalling.jboss.org/
Source0:        https://github.com/jboss-remoting/jboss-marshalling/archive/%{version}.Final/%{name}-%{version}.Final.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local mvn(org.apache.felix:maven-bundle-plugin) mvn(org.jboss:jboss-parent:pom:)
BuildRequires:  mvn(org.jboss.maven.plugins:maven-injection-plugin) mvn(org.jboss.modules:jboss-modules)
BuildRequires:  mvn(org.testng:testng) mvn(jdepend:jdepend) mvn(org.jboss.apiviz:apiviz)
BuildRequires:       java-11-openjdk-devel
Requires:            java-11-openjdk
Requires:            javapackages-tools

Provides:       %{name}-osgi = %{version}-%{release}
Obsoletes:      %{name}-osgi < %{version}-%{release}

%description
JBoss Marshalling is an alternative serialization API that fixes many of the problems found in the
JDK serialization API while remaining fully compatible with java.io.Serializable and its relatives,
and adds several new tunable parameters and additional features, all of which are pluggable via
factory configuration (externalizers, class/instance lookup tables, class resolution, and object
replacement, to name a few).

%package        help
Summary:        Help documents for jboss-marshalling
Provides:       %{name}-javadoc = %{version}-%{release}
Obsoletes:      %{name}-javadoc < %{version}-%{release}

%description    help
Manauals of API and other help documents for %{name}.

%prep
%autosetup -n %{name}-%{version}.Final -p1

%pom_remove_plugin -r :maven-shade-plugin
%pom_disable_module tests
%pom_remove_plugin :maven-javadoc-plugin
%mvn_package :jboss-marshalling-osgi osgi

%build
export JAVA_HOME=%{_jvmdir}/java-11-openjdk
export CFLAGS="${RPM_OPT_FLAGS}"
export CXXFLAGS="${RPM_OPT_FLAGS}"
%mvn_build

%install
%mvn_install

%files
%license LICENSE.txt
%_javadir/%{name}
%{_datadir}/maven*/*

%files help
%_javadocdir/%{name}

%changelog
* Tue Aug 01 2023 Ge Wang <wang__ge@126.com> -1.4.11-7
- Compile with jdk11 due to jboss-modules updated

* Fri Dec 20 2019 zhouyihang <zhouyihang1@huawei.com> - 1.4.11-6
- Package init
